# Uses of Class
org.eclipse.text.edits.ReplaceEdit

Packages that use ReplaceEdit
Package
Description
org.eclipse.text.edits
Provides support for describing and applying textual document editions.

## Uses of ReplaceEdit in org.eclipse.text.edits

Methods in org.eclipse.text.edits that return ReplaceEdit
Modifier and Type
Method
Description
`ReplaceEdit[]`
ISourceModifier.`getModifications(String source)`
Returns the modification to be done to the passed string in form of replace edits.
Methods in org.eclipse.text.edits with parameters of type ReplaceEdit
Modifier and Type
Method
Description
`boolean`
TextEditVisitor.`visit(ReplaceEdit edit)`
Visits a `ReplaceEdit` instance.